org.keycloak.models.map.realm

## Class MapRealmProviderFactory<K>

- java.lang.Object
- - org.keycloak.models.map.common.AbstractMapProviderFactory<RealmProvider,K,MapRealmEntity<K>,RealmModel>
  - - org.keycloak.models.map.realm.MapRealmProviderFactory<K>

- All Implemented Interfaces:
    AmphibianProviderFactory<RealmProvider>, ComponentFactory<RealmProvider,RealmProvider>, RealmProviderFactory, ConfiguredProvider, EnvironmentDependentProviderFactory, ProviderFactory<RealmProvider>

      public class MapRealmProviderFactory<K>
      extends AbstractMapProviderFactory<RealmProvider,K,MapRealmEntity<K>,RealmModel>
      implements RealmProviderFactory

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.map.common.AbstractMapProviderFactory

      `CONFIG_STORAGE, entityType, LOG, modelType, PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapRealmProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RealmProvider` | `create(KeycloakSession session)`
    `String` | `getHelpText()`

    - ### Methods inherited from class org.keycloak.models.map.common.AbstractMapProviderFactory

      `getId, getStorage, init, isSupported, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, getId, init, order, postInit`

    - ### Methods inherited from interface org.keycloak.component.AmphibianProviderFactory

      `close, create, getConfigProperties, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `getCommonProviderConfigProperties, getTypeMetadata, onCreate, validateConfiguration`

- - ### Constructor Detail

    - #### MapRealmProviderFactory

          public MapRealmProviderFactory()

  - ### Method Detail

    - #### create

          public RealmProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `AmphibianProviderFactory<RealmProvider>`
      Specified by:
        `create` in interface `ComponentFactory<RealmProvider,RealmProvider>`
      Specified by:
        `create` in interface `ProviderFactory<RealmProvider>`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.